Retrieve all transaction addresses linked to a reference entity
get
/fscmRestApi/resources/11.13.18.05/publicSectorRecordQueries/{LnpRecordKey}/child/RecordParcelAddressOwner
Request
Path Parameters
-
LnpRecordKey(required): integer
The unique identifier for a record. The record is for a permit, business license, professional license, or planning and zoning, and is determined by the classification.
Query Parameters
-
dependency: string
This parameter specifies dependencies which are fields that are set before and rolled back after generating the response. Generally they are used to preview the effects of an attribute change. The fields specified in this parameter are always set in the resource instance in question. When a child resource collection is requested and the parameter is set, the fields will be set in the parent resource instance before generating the resource collection payload. The value of this query parameter is a set of dependency fields. Example: dependency=ProductId=2
Format: <attr1>=<val1>,<attr2>=<value2> -
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format: ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables:- PrimaryKey: Retrieves a parcel address that matches the specified primary key.
Finder Variables:- AddressKey; integer.
- GisObjKey; integer.
- GisSketchKey; integer.
- OwnerKey; integer.
- ParcelKey; integer; The unique identifier of the record. The record can represent a permit, business license, professional license, or planning and zoning record, depending on its classification.
- PrimaryKey: Retrieves a parcel address that matches the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- AdditionalStructure; string; Information about additional structures located on the parcel.
- Address1; string; The first line of the owner's address.
- Address2; string; The second line of the owner's address, if available.
- Address3; string; The third line of the owner's address, if available.
- Address4; string; The fourth line of the owner's address, if available.
- AddressAgencyId; integer; The unique identifier of the public sector agency.
- AddressCoordinateX; number; The X-coordinate of the parcel address.
- AddressCoordinateY; number; The Y-coordinate of the parcel address.
- AddressCreatedBy; string; The user who created the parcel address.
- AddressCreationDate; string; The date and time when the parcel address was created.
- AddressId; integer; The identifier of the parcel address.
- AddressKey; integer; The unique identifier of the parcel address.
- AddressLastUpdateDate; string; The date and time when the parcel address was last updated.
- AddressLastUpdatedBy; string; The user who last updated the parcel address.
- AddressLatitude; number; The latitude of the parcel address.
- AddressLnpRecordId; string; The unique identifier of the application record.
- AddressLnpRecordKey; integer; The unique identifier of the record associated with the parcel address.
- AddressLongitude; number; The longitude of the parcel address.
- AddressParcelId; integer; The identifier of the record parcel.
- AddressParcelKey; integer; The unique identifier of the parcel.
- AddressPrimaryFlag; boolean; Indicates whether this is the primary parcel address. A value of Y designates the primary address. The default value is N.
- AddressSrid; integer; The Spatial Reference Identifier (SRID), which uniquely identifies the coordinate system used to represent geographic or spatial locations in GIS applications.
- AddressType; string; The address type used for delivery point validation, such as Main, Side, or Virtual.
- AddressUnitNumber; string; The unit number of the parcel address.
- AgencyId; integer; The unique identifier of the public sector agency associated with the parcel.
- Bathrooms; string; The number of bathrooms in the building on the parcel.
- Bedrooms; string; The number of bedrooms in the building on the parcel.
- BlockNumber; string; The block number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN).
- BookNumber; string; The book number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN).
- BoundaryDescription; string; A textual description of the property boundaries. This field does not contain coordinate data. For example, SMITH LOT - COME E 155 FT FROM SW CORNER OF LOT 206 THEN 77.5 FT N TO A LINE WHICH EXTENDS FROM A PT N 309.91 FT AND E 55.25 FT FROM BEG TO A PT E 155 FT FROM LOT 206.
- BuildingType; string; The building type used in address searches, such as Tower A or Block 3.
- CellPhoneCountry; string; The country code for the parcel address contact's mobile phone number.
- CellPhoneNumber; string; The mobile phone number of the parcel address contact.
- CensusBlock; string; Neighborhood information associated with the parcel location.
- CensusTract; string; Additional neighborhood information associated with the parcel location.
- City; string; The city of the parcel address.
- ClimateZone; string; Detailed land information for the parcel.
- CoordinateX; number; The X-coordinate of the record parcel.
- CoordinateY; number; The Y-coordinate of the record parcel.
- Country; string; The country of the parcel address.
- County; string; The county of the parcel address.
- CreatedBy; string; The user who created the record.
- CreationDate; string; The date and time when the record was created.
- CrossroadOne; string; The first cross street at the intersection.
- CrossroadTwo; string; The second cross street at the intersection.
- DistrictName; string; The district name of the parcel.
- DocumentNumber; string; The document number associated with the parcel owner.
- DwellingUnitCount; integer; The number of dwelling units on the parcel.
- EmailId; string; The email address of the parcel address contact.
- FaxCountry; string; The country code for the parcel address contact's fax number.
- FaxNumber; string; The fax number of the parcel address contact.
- FireRisk; string; Additional detailed land information for the parcel.
- FloodInsRateMap; string; Flood Insurance Rate Map (FIRM) information associated with the parcel location for floodplain management and insurance purposes.
- FloodZone; string; Additional detailed land information for the parcel.
- Floor; string; The floor or level used in address searches, such as Mezzanine, Penthouse, or Garage Level C.
- GISAgencyId; integer; The unique identifier of the public sector agency.
- GISCreationDate; string; The date and time when the GIS object was created.
- GISLastUpdateDate; string; The date and time when the GIS object was last updated.
- GISLnpRecordId; string; The unique identifier of the application record.
- GISLnpRecordKey; integer; The unique identifier of the record associated with the GIS object.
- GeneralPlanTwo; string; Alternate land information for the parcel.
- GisLayerName; string; The unique identifier of the GIS layer to which the object belongs.
- GisObjDisplayAttrs; string; The collection of display attributes for the GIS object.
- GisObjIdAttrs; string; The collection of unique identifier attributes for the GIS object.
- GisObjKey; integer; The unique identifier of the GIS object associated with the record.
- GisSketchDescr; string; A description of the sketch.
- GisSketchId; string; The unique identifier of the sketch.
- GisSketchKey; integer; The unique identifier of the sketch associated with the record.
- HomePhoneCountry; string; The country code for the parcel address contact's home phone number.
- HomePhoneNumber; string; The home phone number of the parcel address contact.
- InputSource; string; The source from which the parcel address was obtained.
- Jurisdiction; string; The name of the city if incorporated, or the county if unincorporated.
- LandUseCode; string; The land use code from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN).
- Landmark; string; The landmark associated with the address.
- LandslideRisk; string; Additional detailed land information for the parcel.
- LastTransferDate; string; The date of the most recent ownership transfer.
- LastTransferType; string; The most recent transfer type for the parcel owner.
- LastUpdateDate; string; The user who last updated the record.
- LastUpdatedBy; string; The date and time when the record was last updated.
- Latitude; number; The north-south geographic coordinate (latitude) of the parcel.
- LiquefactionRisk; string; Additional detailed land information for the parcel.
- LnpRecordId; string; The unique identifier of the record associated with the parcel address.
- LnpRecordKey; integer; The unique identifier of the record.
- Longitude; number; The east-west geographic coordinate (longitude) of the parcel. This value can identify a specific entrance within a large parcel, such as a security gate, delivery entrance, or employee entrance.
- LotNumber; string; The lot number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN).
- MapBookPage; string; The recorded map book and page reference.
- MapName; string; The name of the recorded map.
- MunicipalityId; string; The municipality identifier when the parcel is managed outside the county level.
- Owner; string; The name of the primary parcel owner.
- OwnerAddress1; string; The first line of the parcel owner's address.
- OwnerAddress2; string; The second line of the parcel owner's address.
- OwnerAddress3; string; The third line of the parcel owner's address.
- OwnerAddress4; string; The fourth line of the parcel owner's address.
- OwnerAgencyId; integer; The unique identifier of the public sector agency associated with the parcel address.
- OwnerBuildingType; string; The building type in the parcel owner's address.
- OwnerCellPhoneCountry; string; The country code for the parcel owner's mobile phone number.
- OwnerCellPhoneNumber; string; The mobile phone number of the parcel owner.
- OwnerCity; string; The city of the parcel owner.
- OwnerCountry; string; The country of the parcel owner.
- OwnerCounty; string; The county of the parcel owner.
- OwnerCreatedBy; string; The user who created the parcel owner.
- OwnerCreationDate; string; The date and time when the parcel owner was created.
- OwnerEmailId; string; The email address of the parcel owner.
- OwnerFaxCountry; string; The country code for the parcel owner's fax number.
- OwnerFaxNumber; string; The fax number of the parcel owner.
- OwnerFloor; string; The floor or level specified in the parcel owner's address.
- OwnerHomePhoneCountry; string; The country code for the parcel owner's home phone number.
- OwnerHomePhoneNumber; string; The home phone number of the parcel owner.
- OwnerId; integer; The unique identifier of the parcel owner.
- OwnerKey; integer; The unique identifier of the parcel owner associated with the parcel address.
- OwnerLastUpdateDate; string; The user who last updated the parcel owner.
- OwnerLastUpdatedBy; string; The date and time when the parcel owner was last updated.
- OwnerLnpRecordId; string; The unique identifier of the application record.
- OwnerLnpRecordKey; integer; The unique identifier of the record associated with the parcel address.
- OwnerParcelId; integer; The identifier of the record parcel.
- OwnerParcelKey; integer; The unique identifier of the parcel associated with the parcel address.
- OwnerPostalAddOnCode; string; The postal add-on code of the parcel owner.
- OwnerPostalCode; string; The postal code of the parcel owner.
- OwnerPrimaryFlag; boolean; Indicates whether this is the primary parcel address. A value of Y designates the primary parcel address. The default value is N.
- OwnerProvince; string; The province of the parcel owner.
- OwnerState; string; The state of the parcel owner.
- OwnerStreetDirection; string; The street direction of the parcel owner's address.
- OwnerStreetName; string; The street name of the parcel owner's address.
- OwnerStreetNumber; string; The street number of the parcel owner.
- OwnerStreetType; string; The street type of the parcel owner's address.
- OwnerType; string; The parcel owner type.
- OwnerUnitNumber; string; The unit number in the parcel owner's address.
- OwnerWorkPhoneCountry; string; The country code for the parcel owner's work phone number.
- OwnerWorkPhoneNumber; string; The work phone number of the parcel owner.
- PageNumber; string; The page number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN).
- ParcelId; integer; The unique identifier of the parcel.
- ParcelIdEntered; string; The Assessor Parcel Number (APN) entered by the user.
- ParcelKey; integer; The unique identifier of the parcel.
- ParcelSizeOne; number; The primary parcel size.
- ParcelSizeOneUnit; string; The unit of measure for the primary parcel size.
- ParcelSizeTwo; number; The secondary parcel size.
- ParcelSizeTwoUnit; string; The unit of measure for the secondary parcel size.
- ParcelStatus; string; The parcel status, which can be Final or Provisional.
- ParcelType; string; The parcel type, such as commercial, residential, or government.
- ParentParcelId; integer; The unique identifier of the parent record parcel.
- Patio; string; Information about patios located on the parcel.
- Pool; string; Information about pools located on the parcel.
- PostalCode; string; The postal code of the parcel address.
- PostalPlus4Code; string; The postal plus-four code of the parcel address.
- PrimaryFlag; boolean; Indicates whether the parcel address is designated as the primary address for the parcel.
- PrimaryTransAddress; boolean; The primary transaction associated with the address.
- PrimaryZoningId; string; The identifier of the parcel's primary zoning classification.
- PropertyDescription; string; A description of the property.
- Province; string; The province of the parcel address.
- SecondaryOwner; string; The name of the secondary parcel owner.
- SectionNumber; string; The section number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN).
- Shape; object; The Oracle Spatial field that stores the parcel's shape data.
- SketchAgencyId; integer; The unique identifier of the public sector agency.
- SketchCreationDate; string; The date and time when the sketch was created.
- SketchLastUpdateDate; string; The date and time when the sketch was last updated.
- SketchLnpRecordId; string; The unique identifier of the record associated with the sketch.
- SketchLnpRecordKey; integer; The unique identifier of the associated sketch.
- SoilType; string; Additional detailed land information for the parcel.
- Srid; integer; The Spatial Reference System Identifier (SRID) of the parcel address. The SRID uniquely identifies the projected, geographic, or local coordinate system used by GIS applications.
- State; string; The state of the parcel address.
- StreetDirection; string; The street direction used in address searches, such as N, S, E, W, NW, or SE.
- StreetName; string; The street name used in parcel owner address searches.
- StreetNameConcat; string; The concatenated street name for the parcel address. This value combines the direction prefix, street name, street suffix, and direction suffix.
- StreetNumber; string; The street number of the parcel address.
- StreetSuffix; string; The street suffix in the parcel address, such as Drive, Avenue, or Boulevard.
- StreetType; string; The street type used in address searches, such as Alley, Boulevard, Avenue, Lane, Street, or Loop.
- StructureSizeOne; number; The primary structure size.
- StructureSizeOneUnit; string; The unit of measure for the primary structure size.
- StructureSizeTwo; number; The secondary structure size.
- StructureSizeTwoUnit; string; The unit of measure for the secondary structure size.
- Subdivision; string; The subdivision from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN).
- TaxRateArea; string; The area identifier for the parcel location used for taxation purposes.
- UnitNumber; string; The unit number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN).
- WorkPhoneCountry; string; The country code for the parcel address contact's work phone number.
- WorkPhoneNumber; string; The work phone number of the parcel address contact.
- YearBuilt; string; The year the building on the parcel was constructed.
- ZoningCodeTwo; string; The secondary zoning code associated with the parcel.
- ZoningDescription; string; A description of the zoning classification.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : publicSectorRecordQueries-RecordParcelAddressOwner
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : publicSectorRecordQueries-RecordParcelAddressOwner-item-response
Type:
Show Source
object-
AdditionalStructure: string
Maximum Length:
200Information about additional structures located on the parcel. -
Address1: string
Title:
Address Line 1Maximum Length:240The first line of the owner's address. -
Address2: string
Title:
Address Line 2Maximum Length:240The second line of the owner's address, if available. -
Address3: string
Title:
Address Line 3Maximum Length:240The third line of the owner's address, if available. -
Address4: string
Title:
Address Line 4Maximum Length:240The fourth line of the owner's address, if available. -
AddressAgencyId: integer
(int32)
Title:
Agency IDDefault Value:1The unique identifier of the public sector agency. -
AddressCoordinateX: number
Title:
Coordinate XThe X-coordinate of the parcel address. -
AddressCoordinateY: number
Title:
Coordinate YThe Y-coordinate of the parcel address. -
AddressCreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64The user who created the parcel address. -
AddressCreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the parcel address was created. -
AddressId: integer
(int64)
Title:
AddressThe identifier of the parcel address. -
AddressKey: integer
(int64)
Title:
Address KeyThe unique identifier of the parcel address. -
AddressLastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe date and time when the parcel address was last updated. -
AddressLastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The user who last updated the parcel address. -
AddressLatitude: number
Title:
LatitudeThe latitude of the parcel address. -
AddressLnpRecordId: string
Title:
Record IDMaximum Length:50The unique identifier of the application record. -
AddressLnpRecordKey: integer
(int64)
Title:
RecordThe unique identifier of the record associated with the parcel address. -
AddressLongitude: number
Title:
LongitudeThe longitude of the parcel address. -
AddressParcelId: integer
(int64)
Title:
ParcelThe identifier of the record parcel. -
AddressParcelKey: integer
(int64)
Title:
Parcel KeyThe unique identifier of the parcel. -
AddressPrimaryFlag: boolean
Title:
PrimaryMaximum Length:1Indicates whether this is the primary parcel address. A value of Y designates the primary address. The default value is N. -
AddressSrid: integer
(int64)
Title:
SRIDThe Spatial Reference Identifier (SRID), which uniquely identifies the coordinate system used to represent geographic or spatial locations in GIS applications. -
AddressType: string
Title:
Address TypeMaximum Length:20The address type used for delivery point validation, such as Main, Side, or Virtual. -
AddressUnitNumber: string
Title:
UnitMaximum Length:30The unit number of the parcel address. -
AgencyId: integer
(int32)
Title:
Agency IDDefault Value:1The unique identifier of the public sector agency associated with the parcel. -
Bathrooms: string
Maximum Length:
20The number of bathrooms in the building on the parcel. -
Bedrooms: string
Maximum Length:
20The number of bedrooms in the building on the parcel. -
BlockNumber: string
Title:
BlockMaximum Length:30The block number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN). -
BookNumber: string
Title:
BookMaximum Length:30The book number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN). -
BoundaryDescription: string
Title:
Boundary DescriptionMaximum Length:480A textual description of the property boundaries. This field does not contain coordinate data. For example, SMITH LOT - COME E 155 FT FROM SW CORNER OF LOT 206 THEN 77.5 FT N TO A LINE WHICH EXTENDS FROM A PT N 309.91 FT AND E 55.25 FT FROM BEG TO A PT E 155 FT FROM LOT 206. -
BuildingType: string
Title:
BuildingMaximum Length:20The building type used in address searches, such as Tower A or Block 3. -
CellPhoneCountry: string
Title:
Cell Phone CountryMaximum Length:10The country code for the parcel address contact's mobile phone number. -
CellPhoneNumber: string
Title:
Cell PhoneMaximum Length:40The mobile phone number of the parcel address contact. -
CensusBlock: string
Maximum Length:
100Neighborhood information associated with the parcel location. -
CensusTract: string
Maximum Length:
100Additional neighborhood information associated with the parcel location. -
City: string
Title:
CityMaximum Length:60The city of the parcel address. -
ClimateZone: string
Maximum Length:
200Detailed land information for the parcel. -
CoordinateX: number
Title:
Coordinate XThe X-coordinate of the record parcel. -
CoordinateY: number
Title:
Coordinate YThe Y-coordinate of the record parcel. -
Country: string
Title:
CountryMaximum Length:60The country of the parcel address. -
County: string
Title:
CountyMaximum Length:60The county of the parcel address. -
CreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64The user who created the record. -
CreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the record was created. -
CrossroadOne: string
Maximum Length:
240The first cross street at the intersection. -
CrossroadTwo: string
Maximum Length:
240The second cross street at the intersection. -
DistrictName: string
Title:
DistrictMaximum Length:50The district name of the parcel. -
DocumentNumber: string
Title:
DocumentMaximum Length:50The document number associated with the parcel owner. -
DwellingUnitCount: integer
(int64)
The number of dwelling units on the parcel.
-
EmailId: string
Title:
EmailMaximum Length:50The email address of the parcel address contact. -
FaxCountry: string
Title:
Fax CountryMaximum Length:10The country code for the parcel address contact's fax number. -
FaxNumber: string
Title:
FaxMaximum Length:40The fax number of the parcel address contact. -
FireRisk: string
Maximum Length:
200Additional detailed land information for the parcel. -
FloodInsRateMap: string
Maximum Length:
200Flood Insurance Rate Map (FIRM) information associated with the parcel location for floodplain management and insurance purposes. -
FloodZone: string
Maximum Length:
200Additional detailed land information for the parcel. -
Floor: string
Title:
FloorMaximum Length:20The floor or level used in address searches, such as Mezzanine, Penthouse, or Garage Level C. -
GeneralPlanTwo: string
Maximum Length:
30Alternate land information for the parcel. -
GeometryJson: string
(byte)
The transient geometry string for the record GIS object. This field contains the geometry in JSON format retrieved from the ESRI GIS server.
-
GISAgencyId: integer
(int32)
Default Value:
1The unique identifier of the public sector agency. -
GISCreationDate: string
(date-time)
Read Only:
trueThe date and time when the GIS object was created. -
GISLastUpdateDate: string
(date-time)
Read Only:
trueThe date and time when the GIS object was last updated. -
GisLayerName: string
Maximum Length:
100The unique identifier of the GIS layer to which the object belongs. -
GISLnpRecordId: string
Maximum Length:
50The unique identifier of the application record. -
GISLnpRecordKey: integer
(int64)
The unique identifier of the record associated with the GIS object.
-
GisObjDisplayAttrs: string
Maximum Length:
4000The collection of display attributes for the GIS object. -
GisObjIdAttrs: string
Maximum Length:
2000The collection of unique identifier attributes for the GIS object. -
GisObjKey: integer
(int64)
The unique identifier of the GIS object associated with the record.
-
GISShapeJson: string
The transient shape string for the record GIS object. This field contains the shape data in JSON format retrieved from the ESRI GIS server.
-
GisSketchDescr: string
Maximum Length:
400A description of the sketch. -
GisSketchId: string
Title:
SketchMaximum Length:50The unique identifier of the sketch. -
GisSketchKey: integer
(int64)
The unique identifier of the sketch associated with the record.
-
HomePhoneCountry: string
Title:
Home Phone CountryMaximum Length:10The country code for the parcel address contact's home phone number. -
HomePhoneNumber: string
Title:
Home PhoneMaximum Length:40The home phone number of the parcel address contact. -
InputSource: string
Title:
SourceMaximum Length:1The source from which the parcel address was obtained. -
Jurisdiction: string
Title:
JurisdictionMaximum Length:50The name of the city if incorporated, or the county if unincorporated. -
Landmark: string
Maximum Length:
200The landmark associated with the address. -
LandslideRisk: string
Maximum Length:
200Additional detailed land information for the parcel. -
LandUseCode: string
Title:
Land UseMaximum Length:30The land use code from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN). -
LastTransferDate: string
(date)
Title:
Last Transfer DateThe date of the most recent ownership transfer. -
LastTransferType: string
Title:
Last Transfer TypeMaximum Length:50The most recent transfer type for the parcel owner. -
LastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe user who last updated the record. -
LastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The date and time when the record was last updated. -
Latitude: number
Title:
LatitudeThe north-south geographic coordinate (latitude) of the parcel. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
LiquefactionRisk: string
Maximum Length:
200Additional detailed land information for the parcel. -
LnpRecordId: string
Title:
Record IDMaximum Length:50The unique identifier of the record associated with the parcel address. -
LnpRecordKey: integer
(int64)
Title:
RecordThe unique identifier of the record. -
Longitude: number
Title:
LongitudeThe east-west geographic coordinate (longitude) of the parcel. This value can identify a specific entrance within a large parcel, such as a security gate, delivery entrance, or employee entrance. -
LotNumber: string
Title:
LotMaximum Length:30The lot number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN). -
MapBookPage: string
Title:
Map Book PageMaximum Length:50The recorded map book and page reference. -
MapName: string
Title:
Map NameMaximum Length:50The name of the recorded map. -
MunicipalityId: string
Title:
MunicipalityMaximum Length:20The municipality identifier when the parcel is managed outside the county level. -
Owner: string
Title:
OwnerMaximum Length:150The name of the primary parcel owner. -
OwnerAddress1: string
Title:
Address Line 1Maximum Length:240The first line of the parcel owner's address. -
OwnerAddress2: string
Title:
Address Line 2Maximum Length:240The second line of the parcel owner's address. -
OwnerAddress3: string
Title:
Address Line 3Maximum Length:240The third line of the parcel owner's address. -
OwnerAddress4: string
Title:
Address Line 4Maximum Length:240The fourth line of the parcel owner's address. -
OwnerAgencyId: integer
(int32)
Title:
Agency IDDefault Value:1The unique identifier of the public sector agency associated with the parcel address. -
OwnerBuildingType: string
Title:
BuildingMaximum Length:20The building type in the parcel owner's address. -
OwnerCellPhoneCountry: string
Title:
Cell Phone CountryMaximum Length:10The country code for the parcel owner's mobile phone number. -
OwnerCellPhoneNumber: string
Title:
Cell PhoneMaximum Length:40The mobile phone number of the parcel owner. -
OwnerCity: string
Title:
CityMaximum Length:60The city of the parcel owner. -
OwnerCountry: string
Title:
CountryMaximum Length:60The country of the parcel owner. -
OwnerCounty: string
Title:
CountyMaximum Length:60The county of the parcel owner. -
OwnerCreatedBy: string
Title:
Created ByRead Only:trueMaximum Length:64The user who created the parcel owner. -
OwnerCreationDate: string
(date-time)
Title:
Creation DateRead Only:trueThe date and time when the parcel owner was created. -
OwnerEmailId: string
Title:
EmailMaximum Length:50The email address of the parcel owner. -
OwnerFaxCountry: string
Title:
Fax CountryMaximum Length:10The country code for the parcel owner's fax number. -
OwnerFaxNumber: string
Title:
FaxMaximum Length:40The fax number of the parcel owner. -
OwnerFloor: string
Title:
FloorMaximum Length:20The floor or level specified in the parcel owner's address. -
OwnerHomePhoneCountry: string
Title:
Home Phone CountryMaximum Length:10The country code for the parcel owner's home phone number. -
OwnerHomePhoneNumber: string
Title:
Home PhoneMaximum Length:40The home phone number of the parcel owner. -
OwnerId: integer
(int64)
Title:
OwnerThe unique identifier of the parcel owner. -
OwnerKey: integer
(int64)
Title:
Owner KeyThe unique identifier of the parcel owner associated with the parcel address. -
OwnerLastUpdateDate: string
(date-time)
Title:
Last Updated DateRead Only:trueThe user who last updated the parcel owner. -
OwnerLastUpdatedBy: string
Title:
Last Updated ByRead Only:trueMaximum Length:64The date and time when the parcel owner was last updated. -
OwnerLnpRecordId: string
Title:
Record IDMaximum Length:50The unique identifier of the application record. -
OwnerLnpRecordKey: integer
(int64)
Title:
RecordThe unique identifier of the record associated with the parcel address. -
OwnerParcelId: integer
(int64)
Title:
ParcelThe identifier of the record parcel. -
OwnerParcelKey: integer
(int64)
Title:
Parcel KeyThe unique identifier of the parcel associated with the parcel address. -
OwnerPostalAddOnCode: string
Title:
Postal Plus 4 CodeMaximum Length:20The postal add-on code of the parcel owner. -
OwnerPostalCode: string
Title:
Postal CodeMaximum Length:60The postal code of the parcel owner. -
OwnerPrimaryFlag: boolean
Title:
PrimaryMaximum Length:1Indicates whether this is the primary parcel address. A value of Y designates the primary parcel address. The default value is N. -
OwnerProvince: string
Title:
ProvinceMaximum Length:60The province of the parcel owner. -
OwnerState: string
Title:
StateMaximum Length:60The state of the parcel owner. -
OwnerStreetDirection: string
Title:
DirectionMaximum Length:10The street direction of the parcel owner's address. -
OwnerStreetName: string
Title:
StreetMaximum Length:240The street name of the parcel owner's address. -
OwnerStreetNumber: string
Title:
Street NumberMaximum Length:20The street number of the parcel owner. -
OwnerStreetType: string
Title:
Street TypeMaximum Length:20The street type of the parcel owner's address. -
OwnerType: string
Title:
Ownership TypeMaximum Length:20The parcel owner type. -
OwnerUnitNumber: string
Title:
UnitMaximum Length:30The unit number in the parcel owner's address. -
OwnerWorkPhoneCountry: string
Title:
Work Phone CountryMaximum Length:10The country code for the parcel owner's work phone number. -
OwnerWorkPhoneNumber: string
Title:
Work PhoneMaximum Length:40The work phone number of the parcel owner. -
PageNumber: string
Title:
PageMaximum Length:30The page number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN). -
ParcelId: integer
(int64)
Title:
ParcelThe unique identifier of the parcel. -
ParcelIdEntered: string
Title:
ParcelMaximum Length:50The Assessor Parcel Number (APN) entered by the user. -
ParcelKey: integer
(int64)
Title:
Parcel KeyThe unique identifier of the parcel. -
ParcelSizeOne: number
The primary parcel size.
-
ParcelSizeOneUnit: string
Maximum Length:
10The unit of measure for the primary parcel size. -
ParcelSizeTwo: number
The secondary parcel size.
-
ParcelSizeTwoUnit: string
Maximum Length:
10The unit of measure for the secondary parcel size. -
ParcelStatus: string
Maximum Length:
20Default Value:ORA_FINThe parcel status, which can be Final or Provisional. -
ParcelType: string
Title:
Parcel TypeMaximum Length:30The parcel type, such as commercial, residential, or government. -
ParentParcelId: integer
(int64)
Title:
Parent ParcelThe unique identifier of the parent record parcel. -
Patio: string
Maximum Length:
200Information about patios located on the parcel. -
Pool: string
Maximum Length:
200Information about pools located on the parcel. -
PostalCode: string
Title:
Postal CodeMaximum Length:60The postal code of the parcel address. -
PostalPlus4Code: string
Title:
Postal Plus 4 CodeMaximum Length:20The postal plus-four code of the parcel address. -
PrimaryFlag: boolean
Title:
PrimaryMaximum Length:1Indicates whether the parcel address is designated as the primary address for the parcel. -
PrimaryTransAddress: boolean
Title:
Primary Transaction AddressMaximum Length:1The primary transaction associated with the address. -
PrimaryZoningId: string
Title:
Primary ZoneMaximum Length:30The identifier of the parcel's primary zoning classification. -
PropertyDescription: string
Title:
Property DescriptionMaximum Length:240A description of the property. -
Province: string
Title:
ProvinceMaximum Length:60The province of the parcel address. -
SecondaryOwner: string
Title:
Secondary OwnerMaximum Length:150The name of the secondary parcel owner. -
SectionNumber: string
Title:
SectionMaximum Length:30The section number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN). -
Shape: object
Shape
The Oracle Spatial field that stores the parcel's shape data.
-
ShapeJson: string
The transient shape string for the record parcel. This field contains the shape data in JSON format retrieved from the ESRI GIS server.
-
SketchAgencyId: integer
(int32)
Default Value:
1The unique identifier of the public sector agency. -
SketchCreationDate: string
(date-time)
Read Only:
trueThe date and time when the sketch was created. -
SketchJson: string
(byte)
The geometry data for the sketch.
-
SketchLastUpdateDate: string
(date-time)
Read Only:
trueThe date and time when the sketch was last updated. -
SketchLnpRecordId: string
Maximum Length:
50The unique identifier of the record associated with the sketch. -
SketchLnpRecordKey: integer
(int64)
The unique identifier of the associated sketch.
-
SoilType: string
Maximum Length:
200Additional detailed land information for the parcel. -
Srid: integer
(int64)
Title:
SRIDThe Spatial Reference System Identifier (SRID) of the parcel address. The SRID uniquely identifies the projected, geographic, or local coordinate system used by GIS applications. -
State: string
Title:
StateMaximum Length:60The state of the parcel address. -
StreetDirection: string
Title:
DirectionMaximum Length:10The street direction used in address searches, such as N, S, E, W, NW, or SE. -
StreetName: string
Title:
StreetMaximum Length:240The street name used in parcel owner address searches. -
StreetNameConcat: string
Maximum Length:
350The concatenated street name for the parcel address. This value combines the direction prefix, street name, street suffix, and direction suffix. -
StreetNumber: string
Title:
Street NumberMaximum Length:20The street number of the parcel address. -
StreetSuffix: string
Maximum Length:
20The street suffix in the parcel address, such as Drive, Avenue, or Boulevard. -
StreetType: string
Title:
Street TypeMaximum Length:20The street type used in address searches, such as Alley, Boulevard, Avenue, Lane, Street, or Loop. -
StructureSizeOne: number
The primary structure size.
-
StructureSizeOneUnit: string
Maximum Length:
10The unit of measure for the primary structure size. -
StructureSizeTwo: number
The secondary structure size.
-
StructureSizeTwoUnit: string
Maximum Length:
10The unit of measure for the secondary structure size. -
Subdivision: string
Title:
SubdivisionMaximum Length:30The subdivision from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN). -
TaxRateArea: string
Maximum Length:
100The area identifier for the parcel location used for taxation purposes. -
UnitNumber: string
Title:
UnitMaximum Length:30The unit number from the parcel's detailed land information, which forms part of the Assessor Parcel Number (APN). -
WorkPhoneCountry: string
Title:
Work Phone CountryMaximum Length:10The country code for the parcel address contact's work phone number. -
WorkPhoneNumber: string
Title:
Work PhoneMaximum Length:40The work phone number of the parcel address contact. -
YearBuilt: string
Maximum Length:
4The year the building on the parcel was constructed. -
ZoningCodeTwo: string
Maximum Length:
30The secondary zoning code associated with the parcel. -
ZoningDescription: string
Title:
Zone DescriptionMaximum Length:240A description of the zoning classification.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Shape
Type:
objectThe Oracle Spatial field that stores the parcel's shape data.
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.